#include "address.h"   
   
#ifdef __cplusplus
extern "C"{
#endif
 
 //to mainfrm
 BOOL WINAPI StarterLoader(CString strLoadFile, int nOption);
 void WINAPI LoadCmd(int argc , char * argv[]);
 
 //to symbol server
 void WINAPI LdrGetFileLength(long& len);
 void WINAPI LdrGetFileCurPos(long& pos);
 void WINAPI LdrGetStartAddress(unsigned long& addr, int& nBank); 
 unsigned long WINAPI LdrGetLoadBytes();
 BOOL WINAPI LdrIsSymbolLoaded();
 BOOL WINAPI LdrIsUbrof();
 BOOL WINAPI LdrIsIEEE();
 BOOL WINAPI LdrIsOmf96();  
 void WINAPI InitDLLLoad();
 int  WINAPI LdrStkNumConvToBank(int ul);
 unsigned long WINAPI LdrStkAddrConvToBank(unsigned long ul);
 BOOL WINAPI LdrSrcSupportBankSwitch();
 int  WINAPI LdrSrcGetLoadPath(CString& strPath);
 unsigned long WINAPI LdrGetRegOff(unsigned short regIndex);
 void WINAPI DelLdrDLL();
 BOOL WINAPI GetBankAddr(unsigned long& uCallAddr,unsigned long& uRetAddr); 
 void WINAPI GetRootBankValue(ADDRESS& addr);
#ifdef __cplusplus
}
#endif
 
 
 
 
